package dic;

public enum  AuthMenuEnmm {

    FINANCE("finance","0","财务营收"),

    CONTRACTMNG("21","finance","合同管理"),
    CONTRACTMNG_V("21","21","查看"),//合同管理-查看
    CONTRACTMNG_EX("212","21","导出"),
    CONTRACTMNG_M("213","21","编辑"),
    CONTRACTMNG_A("214","21","新增"),
    CONTRACTMNG_D("215","21","删除"),

    COLLECTBILLLIST("22","finance","收款/开票列表"),
    COLLECTBILLLIST_V("22","22","查看"),//收款/开票列表-查看
    COLLECTBILLLIST_EX("222","22","导出"),
    COLLECTBILLLIST_M("223","22","编辑"),

    CONTRACTDETAIL("20","finance","合同详情页"),

    CONTRACTDETAIL_V("201","22","查看"),//合同详情页-查看
    CONTRACTDETAIL_M("202","22","编辑"),

    ACCOUNTDETAIL("20","finance","账号详情页"),
    ACCOUNTDETAIL_V("203","22","查看"),//
    ACCOUNTDETAIL_M("204","22","编辑"),

    SYSTEM("system","0","系统管理"),
    USERMNG("31","system","账号管理(重要)"),
    USERMNG_V("31","31","查看"),//合同管理-查看
    USERMNG_A("312","31","新建"),
    USERMNG_M("313","31","编辑"),
    USERMNG_D("314","31","删除"),
    USERMNG_STOP("315","31","停用"),

    USERLOGS("32","system","操作日志"),
    USERLOGS_V("32","system","查看"),
    USERLOGS_RE("32","system","恢复"),

    FINANCE_REPORT("financereport","0","财务报表"),
    SHARED_INCOME("40","financereport","分摊收入报表"),
    SHARED_INCOME_V("41","financereport","查看"),
    SHARED_INCOME_E("412","financereport","导出"),

    OTHER("0","0","0");


    private String idKey;
    private String parentKey;
    private String name;

    AuthMenuEnmm(String idKey, String parentKey, String name) {
        this.idKey = idKey;
        this.parentKey = parentKey;
        this.name = name;
    }

    public String getIdKey() {
        return idKey;
    }

    public void setIdKey(String idKey) {
        this.idKey = idKey;
    }

    public String getParentKey() {
        return parentKey;
    }

    public void setParentKey(String parentKey) {
        this.parentKey = parentKey;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }
}
